
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
/**
 * 打印机
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
public class Printer extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 打印机id
     */
    private Long printerId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 打印机名称
     */
    private String printerName;

    /**
     * 设备码
     */
    private String siid;

    /**
     * 打印机备注
     */
    private String printerRemark;

    /**
     * 是否默认 0否1是
     */
    private Integer isDefault;

    public Long getPrinterId() {
        return printerId;
    }

    public void setPrinterId(Long printerId) {
        this.printerId = printerId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getPrinterName() {
        return printerName;
    }

    public void setPrinterName(String printerName) {
        this.printerName = printerName;
    }

    public String getSiid() {
        return siid;
    }

    public void setSiid(String siid) {
        this.siid = siid;
    }

    public String getPrinterRemark() {
        return printerRemark;
    }

    public void setPrinterRemark(String printerRemark) {
        this.printerRemark = printerRemark;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    @Override
    public String toString() {
        return "Printer{" +
                "printerId=" + printerId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",shopId=" + shopId +
                ",supplierId=" + supplierId +
                ",printerName=" + printerName +
                ",siid=" + siid +
                ",printerRemark=" + printerRemark +
                ",isDefault=" + isDefault +
                '}';
    }
}
